﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Wavetek Meterman 38XR: (1 year) VER RS-232 /9100
DATE:                  2017-02-14 14:09:45
AUTHOR:                Fluke
REVISION:              $Revision: 18290 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       60
NUMBER OF LINES:       832
CONFIGURATION:         Datron 9100
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source:
#        Meterman 38XR Professional Digital Multimeter, Users Manual,
#        Part No. 1990734, October 2002
#
#  Additional Equipment Required:
#        - Wavetek 9105 Work Mat
#        - Meterman 38SW SERIAL CABLE
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

  1.002  IF           NOT(VERSIONCHECK("8.0"))
  1.003  END
  1.004  ENDIF

  1.005  HEAD         PRELIMINARY INSTRUCTIONS
  1.006  CALL         Sub Display Copyright
  1.007  CALL         Sub High Voltage Safety Warning
  1.008  CALL         Sub Select Failed Test Mode
  1.009  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.010  HEAD         TEST CONDITIONS
  1.011  DISP         No specific warm-up time requirement.
  1.011  DISP         Ambient temperature: 18ºC - 28ºC
  1.011  DISP         Relative humidity: less than 90%

  1.012  HEAD         EQUIPMENT REQUIREMENTS
  1.013  OPBR         -z Do you want to review the list of additional
  1.013  OPBR         equipment and/or accessories required?

  1.014  IF           MEM1
  1.015  DISP         The following additional equipment is required:
  1.015  DISP
  1.015  DISP         - Wavetek 9105 Work Mat
  1.015  DISP         - Meterman 38SW SERIAL CABLE
  1.016  ENDIF

  1.017  CALL         Sub Meterman 38XR RS-232 Setup

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.018  MATH         CalDev  = "Datron 9100"
  1.019  MATH         CalConf = CONF(CalDev)
  1.020  JMPL         AC_VOLTAGE

  1.021  LABEL        DC_VOLTAGE
  1.022  RSLT         =
  1.023  HEAD         {DC VOLTAGE}
  1.024  MATH         @Function = "VDC"
  1.025  RSLT         =
  1.026  HEAD         -2{1000 mV Range}
  1.027  TARGET       -p
  1.028  CALL         Sub Meterman 38XR Check Function RS-232
  1.029  9100         0.0mV                                             S  2W
  1.030  WAIT         [D1000]
  1.031  TARGET       -m
  1.032  CALL         Sub Meterman 38XR Get Reading RS-232
  1.033  MATH         MEM = MEM / 1E-3
  1.034  MEMCX  1000  0.0mV          0.25% 0.5U

  2.001  9100         900.0mV                                           S  2W
  2.002  WAIT         [D1000]
  2.003  TARGET       -m
  2.004  CALL         Sub Meterman 38XR Get Reading RS-232
  2.005  MATH         MEM = MEM / 1E-3
  2.006  MEMCX  1000  900.0mV        0.25% 0.5U

  3.001  9100         -900.0mV                                          S  2W
  3.002  WAIT         [D1000]
  3.003  TARGET       -m
  3.004  CALL         Sub Meterman 38XR Get Reading RS-232
  3.005  MATH         MEM = MEM / 1E-3
  3.006  MEMCX  1000  -900.0mV       0.25% 0.5U

  4.001  RSLT         =
  4.002  HEAD         -2{10 V Range}
  4.003  TARGET       -p
  4.004  9100         9.000V                                            S  2W
  4.005  WAIT         [D1000]
  4.006  TARGET       -m
  4.007  CALL         Sub Meterman 38XR Get Reading RS-232
  4.008  MEMCX  10    9.000V         0.25% 0.005U

  5.001  RSLT         =
  5.002  HEAD         -2{100 V Range}
  5.003  TARGET       -p
  5.004  9100         90.00V                                            S  2W
  5.005  WAIT         [D1000]
  5.006  TARGET       -m
  5.007  CALL         Sub Meterman 38XR Get Reading RS-232
  5.008  MEMCX  100   90.00V         0.25% 0.05U

  6.001  RSLT         =
  6.002  HEAD         -2{1000 V Range}
  6.003  TARGET       -p
  6.004  9100         975.0V                                            S  2W
  6.005  WAIT         -t 2 System settling...
  6.006  TARGET       -m
  6.007  CALL         Sub Meterman 38XR Get Reading RS-232
  6.008  MEMCX  1000  975.0V         0.25% 0.5U

  7.001  9100         -975.0V                                           S  2W
  7.002  WAIT         -t 2 System settling...
  7.003  TARGET       -m
  7.004  CALL         Sub Meterman 38XR Get Reading RS-232
  7.005  MEMCX  1000  -975.0V        0.25% 0.5U

  8.001  9100         *                                                 S

  8.002  RSLT         =
  8.003  HEAD         {AC+DC VOLTAGE}
  8.004  MATH         @Function = "VAC+DC"
  8.005  RSLT         =
  8.006  HEAD         -2{10 V Range}
  8.007  TARGET       -p
  8.008  CALL         Sub Meterman 38XR Check Function RS-232
  8.009  9100         1.100V                                            S  2W
  8.010  WAIT         -t 3 System settling...
  8.011  TARGET       -m
  8.012  CALL         Sub Meterman 38XR Get Reading RS-232
  8.013  MEMCX  10    1.100V         1.5% 0.010U

  9.001  RSLT         =
  9.002  HEAD         -2{100 V Range}
  9.003  TARGET       -p
  9.004  9100         25.00V                       1kH            SI    S  2W
  9.005  WAIT         -t 3 System settling...
  9.006  TARGET       -m
  9.007  CALL         Sub Meterman 38XR Get Reading RS-232
  9.008  MEMCX  100   25.00V         2.5% 0.10U    1kH

 10.001  9100         *                                                 S
 10.002  JMPL         RESISTANCE

 10.003  LABEL        AC_VOLTAGE
 10.004  RSLT         =
 10.005  HEAD         {AC VOLTAGE}
 10.006  TARGET       -p
 10.007  MATH         @Function = "VAC"
 10.008  RSLT         =
 10.009  HEAD         -2{1000 mV Range}
 10.010  TARGET
 10.011  PIC          9100_38XR_VZFD_2w
 10.012  DISP         Rotate the DUT function switch from OFF to V AC.
 10.012  DISP         Press the RS232 button.
 10.013  CALL         Sub Meterman 38XR Check Function RS-232
 10.014  9100         0.0mV                                             S  2W
 10.015  WAIT         -t 3 System settling...
 10.016  CALL         Sub Meterman 38XR Get Reading RS-232
 10.017  MATH         MEM = MEM / 1E-3
 10.018  MEMCX  1000  0.0mV          1.2% 1.0U     100H

 11.001  9100         100.0mV                      50H            SI    S  2W
 11.002  WAIT         -t 5 System settling...
 11.003  TARGET       -m
 11.004  CALL         Sub Meterman 38XR Get Reading RS-232
 11.005  MATH         MEM = MEM / 1E-3
 11.006  MEMCX  1000  100.0mV        1.2% 1.0U     50H

 12.001  9100         900.0mV                      2kH            SI    S  2W
 12.002  WAIT         -t 3 System settling...
 12.003  TARGET       -m
 12.004  CALL         Sub Meterman 38XR Get Reading RS-232
 12.005  MATH         MEM = MEM / 1E-3
 12.006  MEMCX  1000  900.0mV        2% 1.0U       2kH

 13.001  RSLT         =
 13.002  HEAD         -2{10 V Range}
 13.003  TARGET       -p
 13.004  9100         9.000V                       50H            SI    S  2W
 13.005  WAIT         -t 3 System settling...
 13.006  TARGET       -m
 13.007  CALL         Sub Meterman 38XR Get Reading RS-232
 13.008  MEMCX  10    9.000V         1.2% 0.010U   50H

 14.001  RSLT         =
 14.002  HEAD         -2{100 V Range}
 14.003  TARGET       -p
 14.004  9100         65.00V                       1kH            SI    S  2W
 14.005  WAIT         -t 3 System settling...
 14.006  TARGET       -m
 14.007  CALL         Sub Meterman 38XR Get Reading RS-232
 14.008  MEMCX  100   65.00V         2% 0.10U      1kH

 15.001  RSLT         =
 15.002  HEAD         -2{(Peak Hold)}
 # Establish target for "P-" post test Repeat and Cancel options.
 15.003  LABEL        PEAK_HOLD_100V_RANGE
 15.004  TARGET
 15.005  9100         65.00V                       1kH            SI    S  2W
# Get 9100 accuracy at 65 V / 1 kHz and convert to percent.
 15.006  MATH         L[1] = ACCV2("Datron 9100", "Volts SI", MEM1, 1E+3)
 15.007  MATH         L[1] = (L[1] / MEM1) * 100

 15.008  DO
 15.009  DISP         Press and hold the PEAK ± button until the DUT beeps;
 15.009  DISP         "CAL" will be displayed for ~1 second then disappear.
 15.009  DISP
 15.009  DISP         Momentarily press the DUT PEAK ± button until "P+"
 15.009  DISP         appears on the display.
 15.010  CALL         Sub Meterman 38XR Check Function RS-232
 15.011  UNTIL        ZCMP(@Peak, "P+")

 15.012  ACC          +91.91Vp       L1%
 15.013  WAIT         -t 3 System settling...
 15.014  TARGET       -m
 15.015  CALL         Sub Meterman 38XR Get Reading RS-232
 15.016  MEMCX  100   +91.91Vp       3% 2.00U      1kH
 16.001  JMPL         P-_100V_RANGE

 16.002  TARGET
 16.003  JMPL         PEAK_HOLD_100V_RANGE

 16.004  LABEL        P-_100V_RANGE

 16.005  DO
 16.006  DISP         Momentarily press the DUT PEAK ± button until "P-"
 16.006  DISP         appears on the display.
 16.007  CALL         Sub Meterman 38XR Check Function RS-232
 16.008  UNTIL        ZCMP(@Peak, "P-")

 16.009  ACC          -91.91Vp       L1%
 16.010  WAIT         -t 3 System settling...
 16.011  TARGET       -m
 16.012  CALL         Sub Meterman 38XR Get Reading RS-232
 16.013  MEMCX  100   -91.91Vp       3% 2.00U      1kH

 17.001  9100         *                                                 S

 17.002  DO
 17.003  DISP         Press and hold the PEAK ± button until the DUT beeps,
 17.003  DISP         exiting the Peak Hold function. ("P-" will disappear
 17.003  DISP         from the DUT display.)
 17.004  CALL         Sub Meterman 38XR Check Function RS-232
 17.005  UNTIL        ZCMPI(@Peak, "Off")

 17.006  RSLT         =
 17.007  HEAD         -2{750 V Range}
 17.008  TARGET       -p
 17.009  9100         500.0V                       500H           SI    S  2W
 17.010  WAIT         -t 3 System settling...
 17.011  TARGET       -m
 17.012  CALL         Sub Meterman 38XR Get Reading RS-232
 17.013  MEMCX  750   500.0V         2% 1.0U       500H

 18.001  RSLT         =
 18.002  HEAD         -2{(Peak Hold)}
# Establish target for "P-" post test Repeat and Cancel options.
 18.003  LABEL        PEAK_HOLD_750V_RANGE
 18.004  TARGET
 18.005  9100         500.0V                       500H           SI    S  2W
# Get 9100 accuracy at 500 V / 500 Hz and convert to percent.
 18.006  MATH         L[1] = ACCV2(CalDev, "Volts SI", MEM1, 500)
 18.007  MATH         L[1] = (L[1] / MEM1) * 100 / CalConf * 2

 18.008  DO
 18.009  DISP         Press and hold the PEAK ± button until the DUT beeps;
 18.009  DISP         "CAL" will be displayed for ~1 second then disappear.
 18.009  DISP
 18.009  DISP         Momentarily press the DUT PEAK ± button until "P+"
 18.009  DISP         appears on the display.
 18.010  CALL         Sub Meterman 38XR Check Function RS-232
 18.011  UNTIL        ZCMP(@Peak, "P+")

 18.012  ACC          +707.0Vp       L1%
 18.013  WAIT         -t 3 System settling...
 18.014  TARGET       -m
 18.015  CALL         Sub Meterman 38XR Get Reading RS-232
 18.016  MEMCX  750   +707.0Vp       3% 20.0U      500H
 19.001  JMPL         P-_750V_RANGE

 19.002  TARGET
 19.003  JMPL         PEAK_HOLD_750V_RANGE

 19.004  LABEL        P-_750V_RANGE

 19.005  DO
 19.006  DISP         Momentarily press the DUT PEAK ± button until "P-"
 19.006  DISP         appears on the display.
 19.007  CALL         Sub Meterman 38XR Check Function RS-232
 19.008  UNTIL        ZCMP(@Peak, "P-")

 19.009  ACC          -707.0Vp       L1%
 19.010  WAIT         -t 3 System settling...
 19.011  TARGET       -m
 19.012  CALL         Sub Meterman 38XR Get Reading RS-232
 19.013  MEMCX  750   -707.0Vp       3% 20.0U      500H

 20.001  9100         *                                                 S

 20.002  DO
 20.003  DISP         Press and hold the PEAK ± button until the DUT beeps,
 20.003  DISP         exiting the Peak Hold function. ("P-" will disappear
 20.003  DISP         from the display.)
 20.004  CALL         Sub Meterman 38XR Check Function RS-232
 20.005  UNTIL        ZCMPI(@Peak, "Off")

 20.006  RSLT         =
 20.007  HEAD         -2{(Leads Reversed)}
 20.008  TARGET       -p
 20.009  DISP         For the following test, reverse connections as follows:
 20.009  DISP
 20.009  DISP         [32] 9105 Work Mat    to    DUT
 20.009  DISP         [32] 'Red' lead to -------> COM
 20.009  DISP         [32] 'Black' lead to -----> V-Ω-Diode
 20.010  9100         735.0V                       1kH            SI    S  2W
 20.011  WAIT         -t 5 System settling...
 20.012  TARGET       -m
 20.013  CALL         Sub Meterman 38XR Get Reading RS-232
 20.014  MEMCX  750   735.0V         2% 1.0U       1kH

 21.001  9100         *                                                 S
 21.002  DISP         Restore the original connections as follows:
 21.002  DISP
 21.002  DISP         [32] 9105 Work Mat    to    DUT
 21.002  DISP         [32] 'Red' lead to -------> V-Ω-Diode
 21.002  DISP         [32] 'Black' lead to -----> COM

 21.003  RSLT         =
 21.004  HEAD         {dBm}
 21.005  MATH         @Function = "dBm"
 21.006  TARGET       -p
 21.007  CALL         Sub Meterman 38XR Check Function RS-232
 21.008  9100         56.167V                      5kH            SI    S  2W
 21.009  WAIT         -t 5 System settling...
 21.010  MATH         L[1] = ACCV2(CalDev, "Volts SI", MEM1, 5E+3)
 21.011  MATH         L[1] = (L[1] / MEM1) * 100 / CalConf * 2
 21.012  ACC          48.00D         L1%
 21.013  TARGET       -m
 21.014  CALL         Sub Meterman 38XR Get Reading RS-232
 21.015  MEMCX  60    48.00D         0.7U 0.08U    5kH

 22.001  9100         0.2231V                      50H            SI    S  2W
 22.002  WAIT         -t 5 System settling...
 22.003  MATH         L[1] = ACCV2(CalDev, "Volts SI", MEM1, 50)
 22.004  MATH         L[1] = (L[1] / MEM1) * 100 / CalConf * 2
 22.005  ACC          -0.02D         L1%
 22.006  TARGET       -m
 22.007  CALL         Sub Meterman 38XR Get Reading RS-232
 22.008  MEMCX  60    -0.02D         0.7U 0.08U    50H

 23.001  9100         0.0562V                      10kH           SI    S  2W
 23.002  WAIT         -t 5 System settling...
 23.003  MATH         L[1] = ACCV2(CalDev, "Volts SI", MEM1, 10E+3)
 23.004  MATH         L[1] = (L[1] / MEM1) * 100 / CalConf * 2
 23.005  ACC          -12.00D        L1%
 23.006  TARGET       -m
 23.007  CALL         Sub Meterman 38XR Get Reading RS-232
 23.008  MEMCX  60    -12.00D        2.5U 0.08U    10kH

 24.001  9100         *                                                 S
 24.002  JMPL         DC_VOLTAGE

 24.003  LABEL        DC_CURRENT
 24.004  RSLT         =
 24.005  HEAD         {DC CURRENT}

 24.006  RSLT         =
 24.007  HEAD         -2{100 µA Range}
 24.008  MATH         @Function = "uADC"
 24.009  TARGET       -p
 24.010  PIC          9100_38XR_mA_2w
 24.011  CALL         Sub Meterman 38XR Check Function RS-232
 24.012  9100         90.00uA                                           S  2W
 24.013  WAIT         [D1000]
 24.014  TARGET       -m
 24.015  CALL         Sub Meterman 38XR Get Reading RS-232
 24.016  MATH         MEM = MEM / 1E-6
 24.017  MEMCX  100   90.00uA        0.5% 0.10U

 25.001  RSLT         =
 25.002  HEAD         -2{1000 µA Range}
 25.003  TARGET       -p
 25.004  9100         900.0uA                                           S  2W
 25.005  WAIT         [D1000]
 25.006  TARGET       -m
 25.007  CALL         Sub Meterman 38XR Get Reading RS-232
 25.008  MATH         MEM = MEM / 1E-6
 25.009  MEMCX  1000  900.0uA        0.5% 0.5U

 26.001  9100         *                                                 S
 26.002  JMPL         AC_CURRENT_uA

 26.003  LABEL        DC_CURRENT_mA
 26.004  RSLT         =
 26.005  HEAD         -2{10 mA Range}
 26.006  MATH         @Function = "mADC"
 26.007  CALL         Sub Meterman 38XR Check Function RS-232
 26.008  TARGET
 26.009  9100         9.000mA                                           S  2W
 26.010  WAIT         -t 2 System settling...
 26.011  CALL         Sub Meterman 38XR Get Reading RS-232
 26.012  MATH         MEM = MEM / 1E-3
 26.013  MEMCX  10    9.000mA        0.5% 0.005U

 27.001  RSLT         =
 27.002  HEAD         -2{100 mA Range}
 27.003  TARGET       -p
 27.004  9100         90.00mA                                           S  2W
 27.005  WAIT         -t 2 System settling...
 27.006  TARGET       -m
 27.007  CALL         Sub Meterman 38XR Get Reading RS-232
 27.008  MATH         MEM = MEM / 1E-3
 27.009  MEMCX  100   90.00mA        0.5% 0.05U

 28.001  RSLT         =
 28.002  HEAD         -2{400 mA Range}
 28.003  TARGET       -p
 28.004  9100         390.0mA                                           S  2W
 28.005  WAIT         -t 2 System settling...
 28.006  TARGET       -m
 28.007  CALL         Sub Meterman 38XR Get Reading RS-232
 28.008  MATH         MEM = MEM / 1E-3
 28.009  MEMCX  400   390.0mA        0.5% 0.5U

 29.001  9100         *                                                 S
 29.002  JMPL         AC_CURRENT_mA

 29.003  LABEL        DC_CURRENT_10A
 29.004  RSLT         =
 29.005  HEAD         -2{10 A Range}
 29.006  MATH         @Function = "10ADC"
 29.007  TARGET       -p
 29.008  CALL         Sub Meterman 38XR Check Function RS-232
 29.009  PIC          9100_38XR_10A_2w
 29.010  9100         9.000A                                            S  2W
 29.011  WAIT         -t 2 System settling...
 29.012  TARGET       -m
 29.013  CALL         Sub Meterman 38XR Get Reading RS-232
 29.014  MEMCX  10    9.000A         1.5% 0.010U

 30.001  9100         *                                                 S
 30.002  RSLT         =
 30.003  HEAD         {AC CURRENT}
 30.004  RSLT         =
 30.005  HEAD         -2{10 A Range}
 30.006  MATH         @Function = "10AAC"
 30.007  TARGET       -p
 30.008  CALL         Sub Meterman 38XR Check Function RS-232
 30.009  9100         9.000A                       50H            SI    S  2W
 30.010  WAIT         -t 5 System settling...
 30.011  TARGET       -m
 30.012  CALL         Sub Meterman 38XR Get Reading RS-232
 30.013  MEMCX  10    9.000A         2.5% 0.020U   50H

 31.001  9100         *                                                 S
 31.002  JMPL         END

 31.003  LABEL        AC_CURRENT_uA
 31.004  RSLT         =
 31.005  HEAD         -2{100 µA Range}
 31.006  MATH         @Function = "uAAC"
 31.007  TARGET       -p
 31.008  CALL         Sub Meterman 38XR Check Function RS-232
 31.009  9100         90.00uA                      1kH            SI    S  2W
 31.010  WAIT         -t 3 System settling...
 31.011  TARGET       -m
 31.012  CALL         Sub Meterman 38XR Get Reading RS-232
 31.013  MATH         MEM = MEM / 1E-6
 31.014  MEMCX  100   90.00uA        1.5% 0.20U    1kH

 32.001  RSLT         =
 32.002  HEAD         -2{1000 µA Range}
 32.003  TARGET       -p
 32.004  9100         900.0uA                      50H            SI    S  2W
 32.005  WAIT         -t 3 System settling...
 32.006  TARGET       -m
 32.007  CALL         Sub Meterman 38XR Get Reading RS-232
 32.008  MATH         MEM = MEM / 1E-6
 32.009  MEMCX  1000  900.0uA        1.5% 2.0U     50H

 33.001  9100         *                                                 S
 33.002  JMPL         DC_CURRENT_mA

 33.003  LABEL        AC_CURRENT_mA
 33.004  RSLT         =
 33.005  HEAD         -2{10 mA Range}
 33.006  MATH         @Function = "mAAC"
 33.007  TARGET       -p
 33.008  CALL         Sub Meterman 38XR Check Function RS-232
 33.009  9100         9.000mA                      1kH            SI    S  2W
 33.010  WAIT         -t 3 System settling...
 33.011  TARGET       -m
 33.012  CALL         Sub Meterman 38XR Get Reading RS-232
 33.013  MATH         MEM = MEM / 1E-3
 33.014  MEMCX  10    9.000mA        1.5% 0.020U   1kH

 34.001  RSLT         =
 34.002  HEAD         -2{100 mA Range}
 34.003  TARGET       -p
 34.004  9100         90.00mA                      50H            SI    S  2W
 34.005  WAIT         -t 4 System settling...
 34.006  TARGET       -m
 34.007  CALL         Sub Meterman 38XR Get Reading RS-232
 34.008  MATH         MEM = MEM / 1E-3
 34.009  MEMCX  100   90.00mA        1.5% 0.20U    50H

 35.001  RSLT         =
 35.002  HEAD         -2{400 mA Range}
 35.003  TARGET       -p
 35.004  9100         390.0mA                      1kH            SI    S  2W
 35.005  WAIT         -t 4 System settling...
 35.006  TARGET       -m
 35.007  CALL         Sub Meterman 38XR Get Reading RS-232
 35.008  MATH         MEM = MEM / 1E-3
 35.009  MEMCX  400   390.0mA        2.0% 1.0U     1kH

 36.001  9100         *                                                 S

 36.002  RSLT         =
 36.003  HEAD         {4-20mA}
 36.004  MATH         @Function = "4-20mADC"
 36.005  TARGET       -p
 36.006  CALL         Sub Meterman 38XR Check Function RS-232
 36.007  9100         4.8mA                                             S  2W
 36.008  WAIT         -t 4 System settling...
# Compute value in amps.
 36.009  MATH         L[2] = MEM1 * 1E-3
# Get Calibrator accuracy in amps and convert to milliamps.
 36.010  MATH         L[1] = ACCV(CalDev, "Amps", L[2]) / 1E-3
# Convert to percent, normalized, and expand.
 36.011  MATH         L[1] = (L[1] / L[2]) * 100 / CalConf * 2
 36.012  ACC          5.00pct        L1%
 36.013  TARGET       -m
 36.014  CALL         Sub Meterman 38XR Get Reading RS-232
 36.015  MEMCX  100   5.00pct        0.5% 0.05U

 37.001  9100         19.2mA                                            S  2W
 37.002  WAIT         -t 3 System settling...
 37.003  MATH         L[2] = MEM1 * 1E-3
 37.004  MATH         L[1] = ACCV(CalDev, "Amps", L[2]) / 1E-3
 37.005  MATH         L[1] = (L[1] / L[2]) * 100 / CalConf * 2
 37.006  ACC          95.00pct       L1%
 37.007  TARGET       -m
 37.008  CALL         Sub Meterman 38XR Get Reading RS-232
 37.009  MEMCX  100   95.00pct       0.5% 0.05U

# Disconnect the HI lead now to prevent DUT connection error "Err" and buzzer.
 38.001  9100         *                                                 S
 38.002  DISP         Disconnect the 9105 Yellow lead from the DUT.
 38.003  JMPL         DC_CURRENT_10A

 38.004  LABEL        CAPACITANCE
 38.005  RSLT         =
 38.006  HEAD         {CAPACITANCE}
 38.007  MATH         @Function = "Farads"
 38.008  RSLT         =
 38.009  HEAD         -2{40 nF Range}
 38.010  TARGET       -p
 38.011  CALL         Sub Meterman 38XR Check Function RS-232
 38.012  PIC          9100_38XR_C_2w
 38.013  9100         10.00nF                                           S  2W
 38.014  WAIT         -t 5 System settling...
 38.015  TARGET       -m
 38.016  CALL         Sub Meterman 38XR Get Reading RS-232
 38.017  MATH         MEM = MEM / 1E-9
 38.018  MEMCX  40    10.00nF        3% 0.10U

 39.001  RSLT         =
 39.002  HEAD         -2{400 nF Range}
 39.003  TARGET       -p
 39.004  9100         100.0nF                                           S  2W
 39.005  WAIT         -t 5 System settling...
 39.006  TARGET       -m
 39.007  CALL         Sub Meterman 38XR Get Reading RS-232
 39.008  MATH         MEM = MEM / 1E-9
 39.009  MEMCX  400   100.0nF        3% 0.5U

 40.001  RSLT         =
 40.002  HEAD         -2{4 uF Range}
 40.003  TARGET       -p
 40.004  9100         1.000uF                                           S  2W
 40.005  WAIT         -t 5 System settling...
 40.006  TARGET       -m
 40.007  CALL         Sub Meterman 38XR Get Reading RS-232
 40.008  MATH         MEM = MEM / 1E-6
 40.009  MEMCX  4     1.000uF        3% 0.005U

 41.001  RSLT         =
 41.002  HEAD         -2{40 uF Range}
 41.003  TARGET       -p
 41.004  9100         10.00uF                                           S  2W
 41.005  WAIT         -t 8 System settling...
 41.006  TARGET       -m
 41.007  CALL         Sub Meterman 38XR Get Reading RS-232
 41.008  MATH         MEM = MEM / 1E-6
 41.009  MEMCX  40    10.00uF        3% 0.05U

 42.001  RSLT         =
 42.002  HEAD         -2{400 uF Range}
 42.003  TARGET       -p
 42.004  9100         100.0uF                                           S  2W
 42.005  WAIT         -t 8 System settling...
 42.006  TARGET       -m
 42.007  CALL         Sub Meterman 38XR Get Reading RS-232
 42.008  MATH         MEM = MEM / 1E-6
 42.009  MEMCX  400   100.0uF        3% 1.0U

 43.001  9100         *                                                 S
 43.002  JMPL         DC_CURRENT

 43.003  LABEL        RESISTANCE
 43.004  RSLT         =
 43.005  HEAD         {RESISTANCE}
 43.006  MATH         @Function = "Ohms"
 43.007  RSLT         =
 43.008  HEAD         -2{1000 Ω Range}
 43.009  TARGET       -p
 43.010  CALL         Sub Meterman 38XR Check Function RS-232
 43.011  9100         900.0Z                                            S  4W
 43.012  WAIT         -t 5 System settling...
 43.013  TARGET       -m
 43.014  CALL         Sub Meterman 38XR Get Reading RS-232
 43.015  MEMCX  1000  900.0Z         0.5% 0.8U

 44.001  RSLT         =
 44.002  HEAD         -2{10 kΩ Range}
 44.003  TARGET       -p
 44.004  9100         9.000kZ                                           S  4W
 44.005  WAIT         -t 3 System settling...
 44.006  TARGET       -m
 44.007  CALL         Sub Meterman 38XR Get Reading RS-232
 44.008  MATH         MEM = MEM / 1E+3
 44.009  MEMCX  10    9.000kZ        0.5% 0.008U

 45.001  RSLT         =
 45.002  HEAD         -2{100 kΩ Range}
 45.003  TARGET       -p
 45.004  9100         90.00kZ                                           S  4W
 45.005  WAIT         -t 3 System settling...
 45.006  TARGET       -m
 45.007  CALL         Sub Meterman 38XR Get Reading RS-232
 45.008  MATH         MEM = MEM / 1E+3
 45.009  MEMCX  100   90.00kZ        0.5% 0.08U

 46.001  RSLT         =
 46.002  HEAD         -2{1000 kΩ Range}
 46.003  TARGET       -p
 46.004  9100         900.0kZ                                           S  4W
 46.005  WAIT         -t 6 System settling...
 46.006  TARGET       -m
 46.007  CALL         Sub Meterman 38XR Get Reading RS-232
 46.008  MATH         MEM = MEM / 1E+3
 46.009  MEMCX  1000  900.0kZ        0.5% 0.8U

 47.001  RSLT         =
 47.002  HEAD         -2{10 MΩ Range}
 47.003  TARGET       -p
 47.004  9100         9.000MZ                                           S  4W
 47.005  WAIT         -t 8 System settling...
 47.006  TARGET       -m
 47.007  CALL         Sub Meterman 38XR Get Reading RS-232
 47.008  MATH         MEM = MEM / 1E+6
 47.009  MEMCX  10    9.000MZ        1% 0.010U

 48.001  RSLT         =
 48.002  HEAD         -2{40 MΩ Range}
 48.003  TARGET       -p
 48.004  9100         30.00MZ                                           S  4W
 48.005  WAIT         -t 10 System settling...
 48.006  TARGET       -m
 48.007  CALL         Sub Meterman 38XR Get Reading RS-232
 48.008  MATH         MEM = MEM / 1E+6
 48.009  MEMCX  40    30.00MZ        2% 0.10U

 49.001  HEAD         -2
 49.002  9100         *                                                 S

 49.003  RSLT         =
 49.004  HEAD         CONTINUTY
 49.005  MATH         @Function = "Continuity"
 49.006  TARGET       -p
 49.007  CALL         Sub Meterman 38XR Check Function RS-232
 49.008  9100         35Z                                               S  2W
 49.009  OPBR         -z Is the beeper on?
 49.010  MATH         L[1] = MEM1
 49.011  9100         50Z                                               S  2W
 49.012  OPBR         -z Is the beeper off?
 49.013  MATH         L[1] = MEM1
 49.014  EVAL   -e L[1] && L[2] : CONTINUITY

 50.001  RSLT         =
 50.002  HEAD         {DIODE TEST}
 50.003  MATH         @Function = "Diode"
 50.004  TARGET       -p
 50.005  CALL         Sub Meterman 38XR Check Function RS-232
 50.006  9100         0.600V                                            S  2W
 50.007  WAIT         -t 3 System settling...
 50.008  TARGET       -m
 50.009  CALL         Sub Meterman 38XR Get Reading RS-232
 50.010  MEMCX        0.600V         1.5% 0.005U

 51.001  9100         *                                                 S
 51.002  JMPL         FREQUENCY

 51.003  LABEL        DUTY_CYCLE
 51.004  RSLT         =
 51.005  HEAD         {DUTY CYCLE}
 51.006  MATH         @Function = "%"
 51.007  M9100  PER   10mT
 51.008  TARGET       -p
 51.009  CALL         Sub Meterman 38XR Check Function RS-232
 51.010  9100         10.00pct                     3.3Vp          PU    S  2W
 51.011  WAIT         -t 6 System settling...
 51.012  TARGET       -m
 51.013  CALL         Sub Meterman 38XR Get Reading RS-232
 51.014  MEMCX        10.00pct       2% 0.2U       3.3Vp

 52.001  M9100  PER   0.5mT
 52.002  TARGET       -p
 52.003  9100         50.00pct                     3.3Vp          PU    S  2W
 52.004  WAIT         -t 5 System settling...
 52.005  TARGET       -m
 52.006  CALL         Sub Meterman 38XR Get Reading RS-232
 52.007  MEMCX        50.00pct       2% 0.2U       3.3Vp

 53.001  M9100  PER   0.1mT
 53.002  TARGET       -p
 53.003  9100         90.00pct                     3.3Vp          PU    S  2W
 53.004  WAIT         -t 6 System settling...
 53.005  TARGET       -m
 53.006  CALL         Sub Meterman 38XR Get Reading RS-232
 53.007  MEMCX        90.00pct       2% 0.2U       3.3Vp

 54.001  M9100        *
 54.002  9100         *                                                 S
 54.003  JMPL         CAPACITANCE

 54.004  LABEL        FREQUENCY
 54.005  RSLT         =
 54.006  HEAD         {FREQUENCY}
 54.007  MATH         @Function = "Hz"
 54.008  CALL         Sub Meterman 38XR Check Function RS-232
 54.009  RSLT         =
 54.010  HEAD         -2{100 Hz Range}
 54.011  TARGET       -p
 54.012  9100         60.00H                       3.3Vp          ZQ    S  2W
 54.013  WAIT         -t 3 System settling...
 54.014  TARGET       -m
 54.015  CALL         Sub Meterman 38XR Get Reading RS-232
 54.016  MEMCX  100   60.00H         0.1% 0.05U    3.3Vp

 55.001  RSLT         =
 55.002  HEAD         -2{1000 Hz Range}
 55.003  TARGET       -p
 55.004  9100         900.00H                      3.3Vp          ZQ    S  2W
 55.005  WAIT         -t 3 System settling...
 55.006  TARGET       -m
 55.007  CALL         Sub Meterman 38XR Get Reading RS-232
 55.008  MEMCX  1000  900.0H         0.1% 0.5U     3.3Vp

 56.001  RSLT         =
 56.002  HEAD         -2{10 kHz Range}
 56.003  TARGET       -p
 56.004  9100         9.000kH                      3.3Vp          ZQ    S  2W
 56.005  WAIT         -t 3 System settling...
 56.006  TARGET       -m
 56.007  CALL         Sub Meterman 38XR Get Reading RS-232
 56.008  MATH         MEM = MEM / 1E+3
 56.009  MEMCX  10    9.000kH        0.1% 0.005U   3.3Vp

 57.001  RSLT         =
 57.002  HEAD         -2{100 kHz Range}
 57.003  TARGET       -p
 57.004  9100         90.00kH                      3.3Vp          ZQ    S  2W
 57.005  WAIT         -t 3 System settling...
 57.006  TARGET       -m
 57.007  CALL         Sub Meterman 38XR Get Reading RS-232
 57.008  MATH         MEM = MEM / 1E+3
 57.009  MEMCX  100   90.00kH        0.1% 0.05U    3.3Vp

 58.001  RSLT         =
 58.002  HEAD         -2{1000 kHz Range}
 58.003  TARGET       -p
 58.004  9100         900.0kH                      3.3Vp          ZQ    S  2W
 58.005  WAIT         -t 3 System settling...
 58.006  TARGET       -m
 58.007  CALL         Sub Meterman 38XR Get Reading RS-232
 58.008  MATH         MEM = MEM / 1E+3
 58.009  MEMCX  1000  900.0kH        0.1% 0.5U     3.3Vp

 59.001  RSLT         =
 59.002  HEAD         -2{10 MHz Range}
 59.003  TARGET       -p
 59.004  9100         8.000MH                      3.3Vp          ZQ    S  2W
 59.005  WAIT         -t 4 System settling...
 59.006  TARGET       -m
 59.007  CALL         Sub Meterman 38XR Get Reading RS-232
 59.008  MATH         MEM = MEM / 1E+6
 59.009  MEMCX  10    8.000MH        0.1% 0.005U   5.5Vp

 60.001  9100         *                                                 S
 60.002  JMPL         DUTY_CYCLE

 60.003  LABEL        END
 60.004  HEAD         -2
 60.005  HEAD
 60.006  END
