﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Meterman 38XR Check Function RS-232
DATE:                  2017-02-14 12:41:40
AUTHOR:                Fluke
REVISION:              $Revision: 18287 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       401
=============================================================================
#
#  Procedure Author:  DAC
#
#  Model(s) Covered:  38XR
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  The calling procedure must include the folloing statement:
#
# 1.001  PORT         [P9600,N,8,1,N][TERM LF]
#
# Supported function strings:
#        "VAC"
#        "dBm"
#        "VDC"
#        "VAC+DC"
#        "Ohms"
#        "Continuity"
#        "Diode"
#        "Hz"
#        "%"
#        "Farads"
#        "uADC"
#        "uAAC"
#        "uAAC+DC"
#        "mADC"
#        "mAAC"
#        "mAAC+DC"
#        "10ADC"
#        "10AAC"
#        "10AAC+DC"
#        "4-20mADC"
#        "degC"
#        "degF"
#
#  The above function strings are case-sensitive and must be entered EXACTLY
#  as shown!
#
#  Example usage:
#
# 1.009  MATH         @Function = "VAC+DC"
# 1.010  CALL         Sub Meterman 38XR Check Output RS-232
#
# Additionally @Peak can be used to check the peak state after this
# subprocedure is called.  @Peak will return one of the following:
#
#        "Off"    Peak is off
#        "P+"     VAC or AAC positive peak is displayed
#        "P-"     VAC or AAC negative peak is displayed
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Meterman 38XR Get Reading RS-232

# Determine if correct function is selected.

  1.002  IF           ZCMP(@Function, "VAC")

  1.003  WHILE        ZCMP(S[1], "10") == 0
  1.004  DISP         Rotate the DUT function switch to V AC.
  1.005  CALL         Sub Meterman 38XR Get Reading RS-232
  1.006  ENDW

  1.007  WHILE        ZCMP(S[13], "4") || ZCMP(S[13], "5")
  1.008  DISP         Press the yellow button to exit dBm
  1.008  DISP         and enter V AC.
  1.009  CALL         Sub Meterman 38XR Get Reading RS-232
  1.010  ENDW

  1.011  ELSEIF       ZCMP(@Function, "dBm")

  1.012  WHILE        ZCMP(S[1], "10") == 0
  1.013  DISP         Rotate the DUT function switch to V AC.
  1.014  CALL         Sub Meterman 38XR Get Reading RS-232
  1.015  ENDW

  1.016  WHILE        (ZCMP(S[13], "4") == 0) && (ZCMP(S[13], "5") == 0)
  1.017  DISP         Press the yellow button to select dBm.
  1.018  CALL         Sub Meterman 38XR Get Reading RS-232
  1.019  ENDW

  1.020  ELSEIF       ZCMP(@Function, "VDC")

  1.021  WHILE        ZCMP(S[1], "0C") == 0
  1.022  DISP         Rotate the DUT function switch to V DC.
  1.023  CALL         Sub Meterman 38XR Get Reading RS-232
  1.024  ENDW

  1.025  WHILE        ZCMP(S[13], "2")
  1.026  DISP         Press the yellow button to exit V AC+DC
  1.026  DISP         and enter V DC.
  1.027  CALL         Sub Meterman 38XR Get Reading RS-232
  1.028  ENDW

  1.029  ELSEIF       ZCMP(@Function, "VAC+DC")

  1.030  WHILE        ZCMP(S[1], "0C") == 0
  1.031  DISP         Rotate the DUT function switch to V DC.
  1.032  CALL         Sub Meterman 38XR Get Reading RS-232
  1.033  ENDW

  1.034  WHILE        ZCMP(S[13], "2") == 0
  1.035  DISP         Press the yellow button to select V AC+DC.
  1.036  CALL         Sub Meterman 38XR Get Reading RS-232
  1.037  ENDW

  1.038  ELSEIF       ZCMP(@Function, "Ohms")

  1.039  WHILE        ZCMP(S[1], "08") == 0
  1.040  DISP         Rotate the DUT function switch to Ω.
  1.041  CALL         Sub Meterman 38XR Get Reading RS-232
  1.042  ENDW

  1.043  WHILE        ZCMP(S[13], "8")
  1.044  DISP         Press the yellow button to exit Continuity
  1.044  DISP         and enter Ohms.
  1.045  CALL         Sub Meterman 38XR Get Reading RS-232
  1.046  ENDW

  1.047  ELSEIF       ZCMP(@Function, "Continuity")

  1.048  WHILE        ZCMP(S[1], "08") == 0
  1.049  DISP         Rotate the DUT function switch to Ω.
  1.050  CALL         Sub Meterman 38XR Get Reading RS-232
  1.051  ENDW

  1.052  WHILE        ZCMP(S[13], "8") == 0
  1.053  DISP         Press the yellow button to select Continuity.
  1.054  CALL         Sub Meterman 38XR Get Reading RS-232
  1.055  ENDW

  1.056  ELSEIF       ZCMP(@Function, "Diode")

  1.057  WHILE        ZCMP(S[1], "04") == 0
  1.058  DISP         Rotate the DUT function switch to Diode.
  1.059  CALL         Sub Meterman 38XR Get Reading RS-232
  1.060  ENDW

  1.061  ELSEIF       ZCMP(@Function, "Hz")

  1.062  WHILE        ZCMP(S[1], "0F") == 0
  1.063  DISP         Rotate the DUT function switch to Hz.
  1.064  CALL         Sub Meterman 38XR Get Reading RS-232
  1.065  ENDW

  1.066  WHILE        ZCMP(S[12], "B")
  1.067  DISP         Press the yellow button to exit % Duty Cycle
  1.067  DISP         and enter Hz.
  1.068  CALL         Sub Meterman 38XR Get Reading RS-232
  1.069  ENDW

  1.070  ELSEIF       ZCMP(@Function, "%")

  1.071  WHILE        ZCMP(S[1], "0F") == 0
  1.072  DISP         Rotate the DUT function switch to Hz.
  1.073  CALL         Sub Meterman 38XR Get Reading RS-232
  1.074  ENDW

  1.075  WHILE        ZCMP(S[12], "B") == 0
  1.076  DISP         Press the yellow button to select %.
  1.077  CALL         Sub Meterman 38XR Get Reading RS-232
  1.078  ENDW

  1.079  ELSEIF       ZCMP(@Function, "Farads")

  1.080  WHILE        ZCMP(S[1], "0B") == 0
  1.081  DISP         Rotate the DUT function switch to Farads.
  1.082  CALL         Sub Meterman 38XR Get Reading RS-232
  1.083  ENDW

  1.084  ELSEIF       ZCMP(@Function, "uADC")

  1.085  WHILE        ZCMP(S[1], "07") == 0
  1.086  DISP         Rotate the DUT function switch to µA.
  1.087  CALL         Sub Meterman 38XR Get Reading RS-232
  1.088  ENDW

  1.089  WHILE        ZCMP(S[10], "0") == 0

  1.090  IF           ZCMP(S[10], "2")
  1.091  MATH         S[20] = "ONCE"
  1.092  ELSE
  1.093  MATH         S[20] = "TWICE"
  1.094  ENDIF

  1.095  DISP         Press the yellow button to [S20] to select µA DC.
  1.096  CALL         Sub Meterman 38XR Get Reading RS-232
  1.097  ENDW

  1.098  ELSEIF       ZCMP(@Function, "uAAC")

  1.099  WHILE        ZCMP(S[1], "07") == 0
  1.100  DISP         Rotate the DUT function switch to µA.
  1.101  CALL         Sub Meterman 38XR Get Reading RS-232
  1.102  ENDW

  1.103  WHILE        ZCMP(S[10], "1") == 0

  1.104  IF           ZCMP(S[10], "0")
  1.105  MATH         S[20] = "ONCE"
  1.106  ELSE
  1.107  MATH         S[20] = "TWICE"
  1.108  ENDIF

  1.109  DISP         Press the yellow button to [S20] to select µA AC.
  1.110  CALL         Sub Meterman 38XR Get Reading RS-232
  1.111  ENDW

  1.112  ELSEIF       ZCMP(@Function, "uAAC+DC")

  1.113  WHILE        ZCMP(S[1], "07") == 0
  1.114  DISP         Rotate the DUT function switch to µA.
  1.115  CALL         Sub Meterman 38XR Get Reading RS-232
  1.116  ENDW

  1.117  WHILE        ZCMP(S[10], "2") == 0

  1.118  IF           ZCMP(S[10], "1")
  1.119  MATH         S[20] = "ONCE"
  1.120  ELSE
  1.121  MATH         S[20] = "TWICE"
  1.122  ENDIF

  1.123  DISP         Press the yellow button to [S20] to select µA AC+DC.
  1.124  CALL         Sub Meterman 38XR Get Reading RS-232
  1.125  ENDW

  1.126  ELSEIF       ZCMP(@Function, "mADC")

  1.127  WHILE        ZCMP(S[1], "0E") == 0
  1.128  DISP         Rotate the DUT function switch to mA.
  1.129  CALL         Sub Meterman 38XR Get Reading RS-232
  1.130  ENDW

  1.131  WHILE        ZCMP(S[10], "0") == 0

  1.132  IF           ZCMP(S[10], "2")
  1.133  MATH         S[20] = "ONCE"
  1.134  ELSE
  1.135  MATH         S[20] = "TWICE"
  1.136  ENDIF

  1.137  DISP         Press the yellow button to [S20] to select mA DC.
  1.138  CALL         Sub Meterman 38XR Get Reading RS-232
  1.139  ENDW

  1.140  ELSEIF       ZCMP(@Function, "mAAC")

  1.141  WHILE        ZCMP(S[1], "0E") == 0
  1.142  DISP         Rotate the DUT function switch to mA.
  1.143  CALL         Sub Meterman 38XR Get Reading RS-232
  1.144  ENDW

  1.145  WHILE        ZCMP(S[10], "1") == 0

  1.146  IF           ZCMP(S[10], "0")
  1.147  MATH         S[20] = "ONCE"
  1.148  ELSE
  1.149  MATH         S[20] = "TWICE"
  1.150  ENDIF

  1.151  DISP         Press the yellow button to [S20] to select mA AC.
  1.152  CALL         Sub Meterman 38XR Get Reading RS-232
  1.153  ENDW

  1.154  ELSEIF       ZCMP(@Function, "mAAC+DC")

  1.155  WHILE        ZCMP(S[1], "0E") == 0
  1.156  DISP         Rotate the DUT function switch to mA.
  1.157  CALL         Sub Meterman 38XR Get Reading RS-232
  1.158  ENDW

  1.159  WHILE        ZCMP(S[10], "2") == 0

  1.160  IF           ZCMP(S[10], "1")
  1.161  MATH         S[20] = "ONCE"
  1.162  ELSE
  1.163  MATH         S[20] = "TWICE"
  1.164  ENDIF

  1.165  DISP         Press the yellow button to [S20] to select mA AC+DC.
  1.166  CALL         Sub Meterman 38XR Get Reading RS-232
  1.167  ENDW

  1.168  ELSEIF       ZCMP(@Function, "10ADC")

  1.169  WHILE        ZCMP(S[1], "0A") == 0
  1.170  DISP         Rotate the DUT function switch to 10A.
  1.171  CALL         Sub Meterman 38XR Get Reading RS-232
  1.172  ENDW

  1.173  WHILE        ZCMP(S[10], "0") == 0

  1.174  IF           ZCMP(S[10], "2")
  1.175  MATH         S[20] = "ONCE"
  1.176  ELSE
  1.177  MATH         S[20] = "TWICE"
  1.178  ENDIF

  1.179  DISP         Press the yellow button to [S20] to select 10A DC.
  1.180  CALL         Sub Meterman 38XR Get Reading RS-232
  1.181  ENDW

  1.182  ELSEIF       ZCMP(@Function, "10AAC")

  1.183  WHILE        ZCMP(S[1], "0A") == 0
  1.184  DISP         Rotate the DUT function switch to 10A.
  1.185  CALL         Sub Meterman 38XR Get Reading RS-232
  1.186  ENDW

  1.187  WHILE        ZCMP(S[10], "1") == 0

  1.188  IF           ZCMP(S[10], "0")
  1.189  MATH         S[20] = "ONCE"
  1.190  ELSE
  1.191  MATH         S[20] = "TWICE"
  1.192  ENDIF

  1.193  DISP         Press the yellow button to [S20] to select 10A AC.
  1.194  CALL         Sub Meterman 38XR Get Reading RS-232
  1.195  ENDW

  1.196  ELSEIF       ZCMP(@Function, "10AAC+DC")

  1.197  WHILE        ZCMP(S[1], "0A") == 0
  1.198  DISP         Rotate the DUT function switch to 10A.
  1.199  CALL         Sub Meterman 38XR Get Reading RS-232
  1.200  ENDW

  1.201  WHILE        ZCMP(S[10], "2") == 0

  1.202  IF           ZCMP(S[10], "1")
  1.203  MATH         S[20] = "ONCE"
  1.204  ELSE
  1.205  MATH         S[20] = "TWICE"
  1.206  ENDIF

  1.207  DISP         Press the yellow button to [S20] to select 10A AC+DC.
  1.208  CALL         Sub Meterman 38XR Get Reading RS-232
  1.209  ENDW

  1.210  ELSEIF       ZCMP(@Function, "4-20mADC")

  1.211  WHILE        ZCMP(S[1], "03") == 0
  1.212  DISP         Rotate the DUT function switch to 4-20mA DC.
  1.213  CALL         Sub Meterman 38XR Get Reading RS-232
  1.214  ENDW

  1.215  ELSEIF       ZCMP(@Function, "degC")

  1.216  WHILE        ZCMP(S[1], "06") == 0
  1.217  DISP         Rotate the DUT function switch to degC.
  1.218  CALL         Sub Meterman 38XR Get Reading RS-232
  1.219  ENDW

  1.220  ELSEIF       ZCMP(@Function, "degF")

  1.221  WHILE        ZCMP(S[1], "02") == 0
  1.222  DISP         Rotate the DUT function switch to degF.
  1.223  CALL         Sub Meterman 38XR Get Reading RS-232
  1.224  ENDW

  1.225  ELSE
  1.226  DISP         Sub Meterman 38XR RS-232:  [V @Function] unidentified.
  1.227  END

  1.228  ENDIF

  1.229  IF           ZCMP(S[11], "2") || ZCMP(S[11], "A")
  1.230  MATH         @Peak = "P+"
  1.231  ELSEIF       ZCMP(S[11], "3") || ZCMP(S[11], "B")
  1.232  MATH         @Peak = "P-"
  1.233  ELSE
  1.234  MATH         @Peak = "Off"
  1.235  ENDIF

  1.236  END
