﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Meterman 38XR RS-232 Setup
DATE:                  2017-02-14 14:21:32
AUTHOR:                Fluke
REVISION:              $Revision: 18291 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       93
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Source:
#        Meterman 38XR Professional Digital Multimeter, Users Manual,
#        Part No. 1990734, October 2002
#
#  Additional Equipment Required:
#        - Meterman 38SW SERIAL CABLE
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Port = INI("startup", "port")
  1.002  MATH         L[1] = ZCMPI(L[1], "COM5800")
  1.003  MATH         L[1] = ZCMPI(L[1], "COM5820")  || L[1]

  1.004  IF           ISVAR("@CalDev")

  1.005  IF           ZCMP(@CalDev, "Fluke 5502E")
  1.006  MATH         L[1] = ZCMPI(L[1], "COM5502A") || L[1]
  1.007  MATH         L[1] = ZCMPI(L[1], "COM5520")  || L[1]
  1.008  MATH         L[1] = ZCMPI(L[1], "COM5522")  || L[1]
  1.009  ELSEIF       ZCMP(@CalDev, "Fluke 5502A")
  1.010  MATH         L[1] = ZCMPI(L[1], "COM5502E") || L[1]
  1.011  MATH         L[1] = ZCMPI(L[1], "COM5520")  || L[1]
  1.012  MATH         L[1] = ZCMPI(L[1], "COM5522")  || L[1]
  1.013  ELSEIF       ZCMP(@CalDev, "Fluke 5520A")
  1.014  MATH         L[1] = ZCMPI(L[1], "COM5502A") || L[1]
  1.015  MATH         L[1] = ZCMPI(L[1], "COM5502E") || L[1]
  1.016  MATH         L[1] = ZCMPI(L[1], "COM5522")  || L[1]
  1.017  ELSEIF       ZCMP(@CalDev, "Fluke 5522A")
  1.018  MATH         L[1] = ZCMPI(L[1], "COM5502A") || L[1]
  1.019  MATH         L[1] = ZCMPI(L[1], "COM5502E") || L[1]
  1.020  MATH         L[1] = ZCMPI(L[1], "COM5520")  || L[1]
  1.021  ELSE
  1.022  MATH         L[1] = ZCMPI(L[1], "COM5502A") || L[1]
  1.023  MATH         L[1] = ZCMPI(L[1], "COM5502E") || L[1]
  1.024  MATH         L[1] = ZCMPI(L[1], "COM5520")  || L[1]
  1.025  MATH         L[1] = ZCMPI(L[1], "COM5522")  || L[1]
  1.026  ENDIF

  1.027  ELSE
  1.028  MATH         L[1] = ZCMPI(L[1], "COM5502A") || L[1]
  1.029  MATH         L[1] = ZCMPI(L[1], "COM5502E") || L[1]
  1.030  MATH         L[1] = ZCMPI(L[1], "COM5520")  || L[1]
  1.031  MATH         L[1] = ZCMPI(L[1], "COM5522")  || L[1]
  1.032  ENDIF

  1.033  IF           L[1]
  1.034  DISP         Unsupported "Default Serial Port": [V Port]
  1.034  DISP
  1.034  DISP         Terminate procedure and select a valid
  1.034  DISP         "Default Serial Port".
  1.035  ENDIF

  1.036  IF           FIND(Port, "COM55", 1)
  1.037  DISP         Connect the DUT to port labeled "Serial 2 to DUT" on
  1.037  DISP         on rear panel of Calibrator, using the 38SW SERIAL CABLE
  1.037  DISP         and Fluke Adapter Kit, Part No. 689486.
  1.037  DISP
  1.037  DISP         The adapter kit includes a DB9 female to DB9 female
  1.037  DISP         null modem and a DB9 male to DB9 male gender changer.
  1.038  ELSE
  1.039  DISP         Connect the DUT to [V Port] using the 38SW SERIAL CABLE.
  1.040  ENDIF

  1.041  PORT         [P9600,N,8,1,N][TERM LF]

  1.042  END
